Skip to content

Get workflow by name

Request

Get details of a registered workflow using the workflow name.

Security
bearer
Path
workflow_namestringrequired

Workflow Name.

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Workflow successfully returned.

Bodyapplication/json
createdBystring
creationTimestampinteger, (int64)
descriptionstring
registrationInstructionsobject(RegistrationInstructionsResponse)
versioninteger, (int64)
workflowIdstring
workflowNamestring
Response
{ "createdBy": "string", "creationTimestamp": 0, "description": "string", "registrationInstructions": { "dagName": "string" }, "version": 0, "workflowId": "string", "workflowName": "string" }